errinfo(1m)

NAME
errinfo - print errno for syscall fails. Uses DTrace.

SYNOPSIS
errinfo [-a|-A|-hsvZ] [-c command]

DESCRIPTION
errinfo snoops syscall failures and prints the errno value and description of the error number. This program can help determine if applications are silently failing, providing some details on the cause. Since this uses DTrace, only users with root privileges can run this command.

OPTIONS

-c  counts - print an aggregate style report containing a frequency count of errors

-p PID
    examine this PID only

-n name
    examine processes with ths name only (eg, "ls")

EXAMPLES

Default output, print errors as they occur,
    # errinfo

Print a frequency count report,
    # errinfo -c

Snoop errors as they occur for "ssh" processes,
    # errinfo -n ssh PP

Snoop errors for PID 81 only,
    # errinfo -p 81

FIELDS

EXEC
    Program name (truncated)

SYSCALL
    System call name

ERR Value of errno

DESC
    Description of errno message

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
errinfo will run forever until Ctrl-C is hit.

FILES

/usr/include/sys/errno.h
    Contains the full descriptions for the error numbers.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M), truss(1)